#define gittag c37d155

Name:           adriconf
Version:        2.7.2
Release:        1%{?dist}
Summary:        Advanced DRI Configurator

License:        GPLv3+
URL:            https://gitlab.freedesktop.org/mesa/%{name}

Source0:        %{url}/-/archive/v%{version}/%{name}-v%{version}.tar.bz2
#Patch0:         0001_Fix_typo_in_release_note.patch

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  ImageMagick
BuildRequires:  libappstream-glib
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(gbm)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(gtkmm-4.0)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(libglvnd)
BuildRequires:  pkgconfig(libpci)
BuildRequires:  atkmm2.36-devel
BuildRequires:  ninja-build
BuildRequires:  pugixml-devel mesa-libgbm-devel mesa-libEGL-devel
Requires:       hicolor-icon-theme


%description
The adriconf (Advanced DRI CONFigurator) is a tool to set
options and configure applications using the standard
DRIRC file used by the Mesa drivers.


%prep
%autosetup -n %{name}-v%{version} -p1


%build
%cmake -GNinja \
       -DENABLE_UNIT_TESTS:BOOL=OFF

%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications \
  --remove-key Version \
  --remove-category GNOME \
  --remove-category GTK \
  flatpak/org.freedesktop.adriconf.desktop

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/256x256/apps
install -pm0644 flatpak/org.freedesktop.%{name}.png \
  %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/

for res in 16 22 24 32 48 64 72 96 128 192 ;do
  dir=%{buildroot}%{_datadir}/icons/hicolor/${res}x${res}/apps
  mkdir -p ${dir}
  convert flatpak/org.freedesktop.%{name}.png -filter Lanczos -resize ${res}x${res}  \
    ${dir}/org.freedesktop.%{name}.png
done

mkdir -p %{buildroot}%{_metainfodir}
install -pm0644 flatpak/org.freedesktop.adriconf.metainfo.xml  %{buildroot}%{_metainfodir}/org.freedesktop.%{name}.metainfo.xml
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/org.freedesktop.%{name}.metainfo.xml

%find_lang %{name}


%files -f %{name}.lang
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*.png
%{_metainfodir}/*.metainfo.xml


%changelog
* Thu Nov 16 2023 Martin Nad - 2.7.1-1
- bump release 2.7.1

* Sat Feb 18 2023 Martin Nad - 2.5.1-1
- bump release to 2.5.1

* Fri Apr 29 2022 Martin Naď - 2.5.0-1
- bump release to 2.5.0

* Mon Mar 08 2021 Martin Naď - 2.4.1-2
- bump release 2.4.1

* Tue Sep 22 16:04:34 CEST 2020 Martin - 2.3.2-1
- bump release 2.3.2

* Sun Aug 09 09:18:17 GMT 2020 Martin Nad - 2.1-1
- bump release 2.1

* Sat May 16 2020 Martin Nad - 1.6.1-2
- bump release 1.6.1

* Tue Jan 21 2020 Phantom X <megaphantomx at bol dot com dot br> - 1.6-1
- 1.6

* Sun Sep 08 2019 Phantom X <megaphantomx at bol dot com dot br> - 1.5.1-1
- 1.5.1

* Tue Feb 12 2019 Phantom X <megaphantomx at bol dot com dot br> - 1.4-1
- 1.4
- BR: libxml++-3.0

* Mon Jan 21 2019 Phantom X <megaphantomx at bol dot com dot br> - 1.3-1
- Initial spec
